osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

rpy2


On Wed, Jul 19, 2017 at 6:28 PM, Dennis Lee Bieber
<wlfraed at ix.netcom.com> wrote:
> On Wed, 19 Jul 2017 11:15:03 -0400, Larry Martell <larry.martell at gmail.com>
> declaimed the following:
>
>>
>>/usr/bin/ld: cannot find -lr_utils
>>
>>But I could not find how to get libr_utils.
>>
>
>         Have you already built/installed R (maybe development packages too) --
> I suspect the library is part of the R utils package.
>
> https://stat.ethz.ch/R-manual/R-devel/library/utils/html/utils-package.html

On RHEL 6 the version of R is 3.0, and rpy2 does not work with that
version. I installed R 3.3.3, but I suspect I do not have the 3.3.3
devel and/or utils package. I don't know where to get them from.

>         OTOH -- perhaps it is looking for this third-party package
>
> https://github.com/HenrikBengtsson/R.utils

I first thought that too, but that is entirely something else.